#include <GL/glut.h>
#include "GameObj.h"

/** Default constructor.
It initialize position, velocity, angle, angular veloicty, axis 
of each new Gameobj. Every object starts still in the 
center of the screen */

GameObj::GameObj()
{
	p=Point3f(0,0,0);
	v=Point3f(0,0,0);
	angle=0;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
}

GameObj::GameObj(const Point3f &_p, const float _angle)
{
	p=_p;
	v=Point3f(0,0,0);
	angle=_angle;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
}

GameObj::GameObj(const Point3f &_p, const float _angle, const Point3f &_v)
{
	p=_p;
	v=_v;
	angle=_angle;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
}

/*-------- Ship STUFF -------- */
/** Ship Constructor.
With respect to the GameObj constructor it 
initialize accelleration, engine flag and number of active bullet.
*/

/********************* Exp Stuff ***************************/
void Exp::Update(int dt)
{
 GameObj::Update(dt);
 ttl-=dt;
 if(ttl<=0) active=0;
}

void Exp::Draw()
{
 glPushMatrix();
 glTranslate(p);
 glPopMatrix();
}


